This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 368151 - Permission denied on a directory mount via autofs
Permission denied on a directory mount via autofs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Ian Kent
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-06 06:59 EST by Stephane HUGARIE
Modified: 2008-06-16 22:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:49:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
The file create by the adon in file /etc/syslog.conf (55.88 KB, application/x-zip-compressed)
2007-11-12 09:40 EST, Stephane HUGARIE
no flags Details
Log for cofra35 station (24.70 KB, application/x-zip-compressed)
2007-11-13 07:36 EST, Stephane HUGARIE
no flags Details

  None (edit)
Description Stephane HUGARIE 2007-11-06 06:59:24 EST
Description of problem:
This is my first install of FC7 (I already installed FC2,3,4,5,6) the problem is
not reproducible on the old platform

My NIS Master and NFS Server is on FC2
My Client is on FC7 recently updated

When I log on my new FC7 (hostname is cofra35), via Putty
login as: shugarie
shugarie@cofra35's password:xxxxx
Last login: Tue Nov  6 10:34:25 2007 from agathe.coframi-cergy.com
Could not chdir to home directory /home/u/shugarie: Permission denied
-bash: /home/u/shugarie/.bash_profile: Permission non accordée
-bash-3.2$
(This is a french installation of FC7)

==> It's work on FC2 to FC5

autofs deamon mount automatically the directory from NFS Server delphine:

-bash-3.2$ mount
/dev/mapper/VolGroup00-LogVol00 on / type ext3 (rw)
proc on /proc type proc (rw)
sysfs on /sys type sysfs (rw)
devpts on /dev/pts type devpts (rw,gid=5,mode=620)
/dev/sda1 on /boot type ext3 (rw)
tmpfs on /dev/shm type tmpfs (rw)
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
sunrpc on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw)
nfsd on /proc/fs/nfsd type nfsd (rw)
delphine:/exports/vol0002/homes/shugarie on /home/u/shugarie type nfs
(rw,addr=192.168.1.4)

But I can't access to my home directory :

-bash-3.2$ cd /home/u/shugarie
-bash: cd: /home/u/shugarie: Permission non accordée
(Permission non accordée = Permission denied)

Please, could anyone help me to solve this problem ? I need some helps. Thanks
in advance.

Version-Release number of selected component (if applicable):
autofs-5.0.1-27


How reproducible:
Always


Steps to Reproduce:
Above

  
Actual results:


Expected results:


Additional info:
Comment 1 Ian Kent 2007-11-06 07:38:03 EST
This is a bit strange.

What kernel are you using?
Could you give some more information please?
See http://people.redhat.com/jmoyer for what we need.

Ian

Comment 2 Stephane HUGARIE 2007-11-06 09:45:23 EST
From FC7 :
-bash-3.2$ uname -a
Linux cofra35.coframi-cergy.com 2.6.23.1-10.fc7 #1 SMP Fri Oct 19 15:39:08 EDT
2007 i686 i686 i386 GNU/Linux

-bash-3.2$ ypcat -k auto.master
/comptes_ref auto.ref
/projets auto.projets
/web auto.web
/home/u auto.home

-bash-3.2$ ypcat -k auto.home |grep shug
shugarie delphine:/exports/vol0002/homes/shugarie

-bash-3.2$ grep -v ^# /etc/nsswitch.conf


passwd:     files nis
shadow:     files nis
group:      files nis

hosts:      files nis dns


bootparams: nisplus [NOTFOUND=return] files

ethers:     files
netmasks:   files
networks:   files
protocols:  files
rpc:        files
services:   files

netgroup:   files nis

publickey:  nisplus

automount:  files nis
aliases:    files nisplus


-bash-3.2$ cat /etc/sysconfig/autofs
#
# Define default options for autofs.
#
# MASTER_MAP_NAME - default map name for the master map.
#
#MASTER_MAP_NAME="auto.master"
#
# TIMEOUT - set the default mount timeout (default 600).
#
TIMEOUT=300
#
# BROWSE_MODE - maps are browsable by default.
#
BROWSE_MODE="no"
#
# APPEND_OPTIONS - append to global options instead of replace.
#
#APPEND_OPTIONS="yes"
#
# LOGGING - set default log level "none", "verbose" or "debug"
#
#LOGGING="none"
#
# Define the default LDAP schema to use for lookups
#
# System default
#
#MAP_OBJECT_CLASS="nisMap"
#ENTRY_OBJECT_CLASS="nisObject"
#MAP_ATTRIBUTE="nisMapName"
#ENTRY_ATTRIBUTE="cn"
#VALUE_ATTRIBUTE="nisMapEntry"
#
# Other common LDAP nameing
#
#MAP_OBJECT_CLASS="automountMap"
#ENTRY_OBJECT_CLASS="automount"
#MAP_ATTRIBUTE="ou"
#ENTRY_ATTRIBUTE="cn"
#VALUE_ATTRIBUTE="automountInformation"
#
#MAP_OBJECT_CLASS="automountMap"
#ENTRY_OBJECT_CLASS="automount"
#MAP_ATTRIBUTE="automountMapName"
#ENTRY_ATTRIBUTE="automountKey"
#VALUE_ATTRIBUTE="automountInformation"
#
# AUTH_CONF_FILE - set the default location for the SASL
#                          authentication configuration file.
#
#AUTH_CONF_FILE="/etc/autofs_ldap_auth.conf"
#
# General global options
#
#OPTIONS=""
#


[root@cofra35 log]# /etc/init.d/autofs status
automount (pid 12017) en cours d'exécution...
[root@cofra35 log]# ps -auxwww |grep automount
Warning: bad syntax, perhaps a bogus '-'? See /usr/share/doc/procps-3.2.7/FAQ
root     12017  0.0  0.3  12728  1644 ?        Ssl  10:29   0:02 automount
root     14330  0.0  0.1   4036   760 pts/2    S+   15:40   0:00 grep automount
[root@cofra35 log]#
Comment 3 Stephane HUGARIE 2007-11-12 09:40:30 EST
Created attachment 255261 [details]
The file create by the adon in file /etc/syslog.conf

Please see on the attachement : the file generated by the line added in
/etc/syslog.conf from the file server (Hostname=Delphine)
Comment 4 Stephane HUGARIE 2007-11-12 10:17:00 EST
I just see a new error message on the FC7 installation :
in /var/log/messages

Nov 12 16:10:32 cofra35 automount[1865]: lookup_name_file_source_instance: file
map not found
Comment 5 Stephane HUGARIE 2007-11-12 10:19:07 EST
When I log on the FC7, in the /var/log/secure :
My session is accepted :

.../...
Nov 12 16:16:16 cofra35 sshd[2827]: Accepted password for shugarie from
192.168.4.10 port 1726 ssh2
Nov 12 16:16:16 cofra35 sshd[2827]: pam_unix(sshd:session): session opened for
user shugarie by (uid=0)

Comment 6 Ian Kent 2007-11-12 10:53:08 EST
You still haven't provided a debug log as described at the
location given in comment #1.
Comment 7 Ian Kent 2007-11-12 10:54:47 EST
Oops, I take that back.
Let me look at the log you provided.
Ian
Comment 8 Ian Kent 2007-11-12 11:00:41 EST
Can you post the output of "ls -l /exports/vol0002/homes/shugarie"
please.

And why are you using autofs 4.1.2, that isn't the F7 distributed
version.
Comment 9 Stephane HUGARIE 2007-11-12 11:16:43 EST
On the File Server (Delphine) the version is Fedora Core 2 and I can't update
the Server otherwise the hardware is not find (RAID disk IDE from PowerEdge Dell
1600SC)
The station (cofra35) is on Fedora Core 7

[root@delphine log]# ls -l /exports/vol0002/homes/shugarie
total 23300
-rw-r--r--   1 shugarie shugarie  762843 jui 11 12:21 access_log.crm
drwxrwxr-x  29 shugarie shugarie    4096 nov  7 10:39 Administrateur transverse
-rw-rw-r--   1 shugarie shugarie  602202 oct 17  2006 Animation7.gif
-rw-rw-r--   1 shugarie shugarie 6415432 oct 29 18:01 backupvtiger.sql
drwxr-xr-x   2 shugarie shugarie    4096 jun 19 10:15 clamav
drwxrwxr-x   2 shugarie shugarie    4096 sep 26 14:26 commandes_root
drwxrwxr-x   4 shugarie shugarie    4096 nov  8  2004 Correspondance COFRAMI
drwxr-xr-x   2 shugarie shugarie    4096 jan 31  2007 Desktop
drwxrwxr-x   7 shugarie shugarie    4096 déc 19  2005 Documentation
drwxrwxr-x   2 shugarie shugarie    4096 nov 17  2005 documentation_portal
-rwxr--r--   1 shugarie shugarie     111 avr 27  2007 erreur.txt
drwx------   8 shugarie shugarie    4096 jun 28  2005 evolution
-rw-r--r--   1 shugarie shugarie     310 avr 11  2006 foot.php
-rw-r--r--   1 shugarie shugarie     368 avr 11  2006 head.php
drwxrwxr-x   2 shugarie shugarie    4096 mai 24  2005 helix
-rw-r--r--   1 shugarie shugarie    4192 oct 16 10:49 index.html
-rw-r--r--   1 shugarie shugarie    4982 avr 11  2006 index.php
drwxrwxr-x   7 shugarie shugarie    4096 jui 22  2005 Internet
drwxrwxr-x  10 shugarie shugarie    4096 jui 20 13:06 Logistique
drwxrwxr-x   3 shugarie shugarie    4096 jui 21  2005 Mes téléchargements
drwxrwxr-x   2 shugarie shugarie    4096 oct  3  2003 NDF
drwxrwxr-x   2 shugarie shugarie    4096 oct 12  2005 NIS
drwxr-xr-x   6 shugarie shugarie    4096 avr 24  2007 nuxeo
-rwxr--r--   1 shugarie shugarie 3164759 sep 28 16:02 package.tar.gz
drwxrwxr-x  17 shugarie shugarie    4096 oct 30 17:51 perso
-rwxr--r--   1 shugarie shugarie  796571 jan 30  2007 phpBB_FR_v2.0.22-1.zip
-rwxr--r--   1 shugarie shugarie  818934 sep 17 13:04 phpPgAdmin-4.1.3.tar.gz
drwxrwxr-x   4 shugarie shugarie    4096 oct  6  2003 Propal serveur Dell
drwxrwxr-x   2 shugarie shugarie    4096 déc 30  2004
PropositionMaintenanceServeurHP
drwxrwxr-x   2 shugarie shugarie    4096 nov  8  2005 public_html
-rwxrw-r--   1 shugarie shugarie     600 nov 12 16:11 PUTTY.RND
drwxr-xr-x   2 shugarie shugarie    4096 jui 24 13:24 QTP
drwxrwxr-x   2 shugarie shugarie    4096 jan 13  2004 script
-rw-------   1 shugarie shugarie    2496 mar  5  2004 sshd_config.delphine
drwxr-xr-x   2 shugarie shugarie    4096 jui 19 17:52 sslexplorer
drwxr-xr-x   3 shugarie shugarie    4096 fév 26  2007 Stagiaires
-rw-rw-r--   1 shugarie shugarie    5865 nov 16  2005 status.txt
-rwxr--r--   1 shugarie shugarie    1225 déc  8  2006 sudoe.txt
-rw-rw-r--   1 shugarie shugarie    1229 déc  8  2006 sudoe.txt.bak
-rw-rw-r--   1 shugarie shugarie 2758144 déc  9  2003 SUS_Deployguide_sp1.doc
drwxrwxr-x   2 shugarie shugarie    4096 nov  8  2005 syntec
-rw-r--r--   1 shugarie shugarie      32 avr 11  2006 test.php
drwxrwxr-x   2 shugarie shugarie    4096 jui 19  2006 testrcs
-rwxr--r--   1 shugarie shugarie      41 avr  4  2007 titi.txt
-rw-rw-r--   1 shugarie shugarie  579501 oct 12  2005 trombi2.tgz
-rw-rw-r--   1 shugarie shugarie    7208 oct 12  2005 trombi.sql
-rw-rw-r--   1 shugarie shugarie  579257 oct 10  2005 trombi.tgz
-rwxr--r--   1 shugarie shugarie      36 mar  2  2007 tyty.txt
drwxr-xr-x   2 shugarie shugarie    4096 jui 23 16:43 vtiger
-rw-r--r--   1 shugarie shugarie 6507826 oct 31 11:38 vtigercrm503.sql
drwxrwxr-x   2 shugarie shugarie    4096 oct 17  2006 web-coframi-cergy
drwxrwxr-x   3 shugarie shugarie    4096 avr 24  2007 workspace
drwxrwxr-x   4 shugarie shugarie    4096 oct 18  2006 www-int
-rw-rw-r--   1 shugarie shugarie    1839 oct  4  2006 yum.conf
Comment 10 Ian Kent 2007-11-13 07:03:29 EST
(In reply to comment #8)
> Can you post the output of "ls -l /exports/vol0002/homes/shugarie"
> please.

OK, that should have been "ls -ld /exports/vol0002/homes/shugarie",
sorry.
Comment 11 Ian Kent 2007-11-13 07:13:01 EST
(In reply to comment #9)
> On the File Server (Delphine) the version is Fedora Core 2 and I can't update
> the Server otherwise the hardware is not find (RAID disk IDE from PowerEdge Dell
> 1600SC)
> The station (cofra35) is on Fedora Core 7

In which case can you provide a debug log of this from the
system with which you are having the problem, cofra35 I
believe.

Also, post the file /etc/auto.master from cofra35, even if
it is the installed default.
Comment 12 Stephane HUGARIE 2007-11-13 07:32:11 EST
[root@delphine tmp]# ls -ld /exports/vol0002/homes/shugarie
drwxr-x---  73 shugarie shugarie 4096 nov  7 17:35 /exports/vol0002/homes/shugarie
[root@delphine tmp]#
Comment 13 Stephane HUGARIE 2007-11-13 07:36:02 EST
Created attachment 256791 [details]
Log for cofra35 station

see below the attachment for debub log of cofra35 (FC7)
Comment 14 Stephane HUGARIE 2007-11-13 07:37:16 EST
[root@cofra35 log]# cat /etc/auto.master
#
# $Id: auto.master,v 1.4 2005/01/04 14:36:54 raven Exp $
#
# Sample auto.master file
# This is an automounter map and it has the following format
# key [ -mount-options-separated-by-comma ] location
# For details of the format look at autofs(5).
#
/misc   /etc/auto.misc
/net    -hosts
#
# Include central master map if it can be found using
# nsswitch sources.
#
# Note that if there are entries for /net or /misc (as
# above) in the included master map any keys that are the
# same will not be seen as the first read key seen takes
# precedence.
#
+auto.master
Comment 15 Ian Kent 2007-11-13 07:51:28 EST
(In reply to comment #13)
> Created an attachment (id=256791) [edit]
> Log for cofra35 station
> 
> see below the attachment for debub log of cofra35 (FC7)

OK, this looks better.
It almost looks ok.

It appears that the mount of the filesystem completes OK
but the mount process fails before returning to autofs
causing an incorrect status to be returned to the kernel
and then to the user process. Do you see any core files
in the root directory of cofra35 and what version of
nfs-utils are you using?
Comment 16 Stephane HUGARIE 2007-11-13 08:46:06 EST
[root@cofra35 /]# rpm -qi nfs-utils
Name        : nfs-utils                    Relocations: (not relocatable)
Version     : 1.1.0                             Vendor: Fedora Project
Release     : 4.fc7                         Build Date: lun 17 sep 2007 21:15:48
CEST
Install Date: mer 31 oct 2007 17:34:47 CET      Build Host:
hammer2.fedora.redhat.com
Group       : System Environment/Daemons    Source RPM:
nfs-utils-1.1.0-4.fc7.src.rpm
Size        : 515349                           License: GPL
Signature   : DSA/SHA1, lun 29 oct 2007 16:22:40 CET, Key ID b44269d04f2a6fd2
Packager    : Fedora Project
URL         : http://sourceforge.net/projects/nfs
Summary     : NFS utilities and supporting clients and daemons for the kernel
NFS server
Comment 17 Stephane HUGARIE 2007-11-13 08:49:41 EST
No core file is not present in either / or /root
Comment 18 Stephane HUGARIE 2007-11-28 06:56:46 EST
How can I help you solve my problem?
Comment 19 Ian Kent 2007-11-28 09:06:17 EST
(In reply to comment #18)
> How can I help you solve my problem?

I'm really not sure.
Fact is, if the exec of mount completes, you should see
lines like (without the timestamp, and obviously not your
system):
automount[20068]: mount_mount: mount(nfs): calling mount -t nfs
shark:/export/foo /test/foo
automount[20068]: mount(nfs): mounted shark:/export/foo on /test/foo
automount[20068]: send_ready: token = 275
automount[20068]: mounted /test/foo

following the "calling mount" log entry.
But if we can't get mount to fail from the command line
then we have no case.

You could try running:

service autofs stop
ulimit -c unlimited
service autofs start

and see if you can find any core files after trying
to login as yourself again.

Do you have selinux in enforcing mode?

Ian
Comment 20 Ian Kent 2007-11-28 09:24:27 EST
(In reply to comment #0)
> -bash-3.2$ mount
> /dev/mapper/VolGroup00-LogVol00 on / type ext3 (rw)
> proc on /proc type proc (rw)
> sysfs on /sys type sysfs (rw)
> devpts on /dev/pts type devpts (rw,gid=5,mode=620)
> /dev/sda1 on /boot type ext3 (rw)
> tmpfs on /dev/shm type tmpfs (rw)
> none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
> sunrpc on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw)
> nfsd on /proc/fs/nfsd type nfsd (rw)
> delphine:/exports/vol0002/homes/shugarie on /home/u/shugarie type nfs
> (rw,addr=192.168.1.4)
> 
> But I can't access to my home directory :
> 
> -bash-3.2$ cd /home/u/shugarie
> -bash: cd: /home/u/shugarie: Permission non accordée
> (Permission non accordée = Permission denied)

And this fails even when /home/u/shugarie is already
mounted?
Is that correct?

If so, after trying to change to the home directory,
can you post the output from:

id
getent passwd shugarie

please.
Ian
Comment 21 Ian Kent 2007-11-28 09:27:51 EST
(In reply to comment #20)
> > -bash-3.2$ cd /home/u/shugarie
> > -bash: cd: /home/u/shugarie: Permission non accordée
> > (Permission non accordée = Permission denied)
> 
> And this fails even when /home/u/shugarie is already
> mounted?
> Is that correct?
> 
> If so, after trying to change to the home directory,
> can you post the output from:
> 
> id
> getent passwd shugarie

and the output from:

ypmatch shugarie passwd

Ian

Comment 22 Stephane HUGARIE 2007-11-28 09:52:34 EST
(In reply to comment #19)
> (In reply to comment #18)
> > How can I help you solve my problem?
> 
> I'm really not sure.
> Fact is, if the exec of mount completes, you should see
> lines like (without the timestamp, and obviously not your
> system):
> automount[20068]: mount_mount: mount(nfs): calling mount -t nfs
> shark:/export/foo /test/foo
> automount[20068]: mount(nfs): mounted shark:/export/foo on /test/foo
> automount[20068]: send_ready: token = 275
> automount[20068]: mounted /test/foo
> 
> following the "calling mount" log entry.
> But if we can't get mount to fail from the command line
> then we have no case.
> 
> You could try running:
> 
> service autofs stop
> ulimit -c unlimited
> service autofs start
> 
> and see if you can find any core files after trying
> to login as yourself again.
> 
> Do you have selinux in enforcing mode?
> 
> Ian
> 

I'm not in enforcing mode.
I have not see any core file.

See log after what you want to do : 
Nov 28 15:38:50 cofra35 automount[1867]: st_expire: state 1 path /home/u
Nov 28 15:38:50 cofra35 automount[1867]: expire_proc: exp_proc = 3079203728 path
/home/u
Nov 28 15:38:50 cofra35 automount[1867]: expire_cleanup: got thid 3079203728
path /home/u stat 0
Nov 28 15:38:50 cofra35 automount[1867]: expire_cleanup: sigchld: exp 3079203728
finished, switching from 2 to 1
Nov 28 15:38:50 cofra35 automount[1867]: st_ready: st_ready(): state = 2 path
/home/u
Nov 28 15:40:05 cofra35 automount[1867]: st_expire: state 1 path /home/u
Nov 28 15:40:05 cofra35 automount[1867]: expire_proc: exp_proc = 3080256400 path
/home/u
Nov 28 15:40:05 cofra35 automount[1867]: expire_cleanup: got thid 3080256400
path /home/u stat 0
Nov 28 15:40:05 cofra35 automount[1867]: expire_cleanup: sigchld: exp 3080256400
finished, switching from 2 to 1
Nov 28 15:40:05 cofra35 automount[1867]: st_ready: st_ready(): state = 2 path
/home/u




Nov 28 15:40:49 cofra35 automount[1867]: master_notify_state_change: sig 15
switching /home/u from 1 to 5
Nov 28 15:40:49 cofra35 automount[1867]: st_prepare_shutdown: state 1 path /home/u
Nov 28 15:40:49 cofra35 automount[1867]: expire_proc: exp_proc = 3062872976 path
/home/u
Nov 28 15:40:49 cofra35 automount[1867]: expire_cleanup: got thid 3062872976
path /home/u stat 0
Nov 28 15:40:49 cofra35 automount[1867]: expire_cleanup: sigchld: exp 3062872976
finished, switching from 5 to 7
Nov 28 15:40:49 cofra35 automount[1867]: umount_multi: path /home/u incl 0
Nov 28 15:41:30 cofra35 automount[14518]: master_do_mount: mounting /home/u
Nov 28 15:41:30 cofra35 automount[14518]: lookup_nss_read_map: reading map files
auto.home
Nov 28 15:41:30 cofra35 automount[14518]: read_file_source_instance: file map
/etc/auto.home not found
Nov 28 15:41:30 cofra35 automount[14518]: lookup_nss_read_map: reading map nis
auto.home


Nov 28 15:42:56 cofra35 automount[14518]: handle_packet: type = 3
Nov 28 15:42:56 cofra35 automount[14518]: handle_packet_missing_indirect: token
1, name shugarie, request pid 14537
Nov 28 15:42:56 cofra35 automount[14518]: lookup_name_file_source_instance: file
map not found
Nov 28 15:42:56 cofra35 automount[14518]: lookup_mount: lookup(yp): looking up
shugarie
Nov 28 15:42:56 cofra35 automount[14518]: lookup_mount: lookup(yp): shugarie ->
delphine:/exports/vol0002/homes/shugarie
Nov 28 15:42:56 cofra35 automount[14518]: parse_mount: parse(sun): expanded
entry: delphine:/exports/vol0002/homes/shugarie
Nov 28 15:42:56 cofra35 automount[14518]: parse_mount: parse(sun): gathered options:
Nov 28 15:42:56 cofra35 automount[14518]: parse_mount: parse(sun):
dequote("delphine:/exports/vol0002/homes/shugarie") -> delphine:/exp           
                                orts/vol0002/homes/shugarie
Nov 28 15:42:56 cofra35 automount[14518]: parse_mount: parse(sun): core of
entry: options=, loc=delphine:/exports/vol0002/homes/shugari                   
                        e
Nov 28 15:42:56 cofra35 automount[14518]: sun_mount: parse(sun): mounting root
/home/u, mountpoint shugarie, what delphine:/exports/vol                       
                    0002/homes/shugarie, fstype nfs, options (null)
Nov 28 15:42:56 cofra35 automount[14518]: mount_mount: mount(nfs): root=/home/u
name=shugarie what=delphine:/exports/vol0002/homes/shug                        
                   arie, fstype=nfs, options=(null)
Nov 28 15:42:56 cofra35 automount[14518]: mount_mount: mount(nfs): calling
mkdir_path /home/u/shugarie
Nov 28 15:42:56 cofra35 automount[14518]: mount_mount: mount(nfs): calling mount
-t nfs delphine:/exports/vol0002/homes/shugarie /home/                         
                  u/shugarie
Nov 28 15:43:17 cofra35 automount[14518]: st_expire: state 1 path /home/u
Nov 28 15:43:17 cofra35 automount[14518]: expire_proc: exp_proc = 3079515024
path /home/u
Nov 28 15:43:17 cofra35 automount[14518]: expire_proc_indirect: expire
/home/u/shugarie
Nov 28 15:43:18 cofra35 automount[14518]: expire_proc_indirect: 1 remaining in
/home/u
Nov 28 15:43:18 cofra35 automount[14518]: expire_cleanup: got thid 3079515024
path /home/u stat 2
Nov 28 15:43:18 cofra35 automount[14518]: expire_cleanup: sigchld: exp
3079515024 finished, switching from 2 to 1
Nov 28 15:43:18 cofra35 automount[14518]: st_ready: st_ready(): state = 2 path
/home/u

Nov 28 15:44:33 cofra35 automount[14518]: st_expire: state 1 path /home/u
Nov 28 15:44:33 cofra35 automount[14518]: expire_proc: exp_proc = 3078462352
path /home/u
Nov 28 15:44:33 cofra35 automount[14518]: expire_proc_indirect: expire
/home/u/shugarie
Nov 28 15:44:34 cofra35 automount[14518]: expire_proc_indirect: 1 remaining in
/home/u
Nov 28 15:44:34 cofra35 automount[14518]: expire_cleanup: got thid 3078462352
path /home/u stat 2
Nov 28 15:44:34 cofra35 automount[14518]: expire_cleanup: sigchld: exp
3078462352 finished, switching from 2 to 1
Nov 28 15:44:34 cofra35 automount[14518]: st_ready: st_ready(): state = 2 path
/home/u
Nov 28 15:45:49 cofra35 automount[14518]: st_expire: state 1 path /home/u
Nov 28 15:45:49 cofra35 automount[14518]: expire_proc: exp_proc = 3079515024
path /home/u
Nov 28 15:45:49 cofra35 automount[14518]: expire_proc_indirect: expire
/home/u/shugarie
Nov 28 15:45:50 cofra35 automount[14518]: expire_proc_indirect: 1 remaining in
/home/u
Nov 28 15:45:50 cofra35 automount[14518]: expire_cleanup: got thid 3079515024
path /home/u stat 2
Nov 28 15:45:50 cofra35 automount[14518]: expire_cleanup: sigchld: exp
3079515024 finished, switching from 2 to 1
Nov 28 15:45:50 cofra35 automount[14518]: st_ready: st_ready(): state = 2 path
/home/u




Nov 28 15:47:05 cofra35 automount[14518]: st_expire: state 1 path /home/u
Nov 28 15:47:05 cofra35 automount[14518]: expire_proc: exp_proc = 3079515024
path /home/u
Nov 28 15:47:05 cofra35 automount[14518]: expire_proc_indirect: expire
/home/u/shugarie
Nov 28 15:47:06 cofra35 automount[14518]: expire_proc_indirect: 1 remaining in
/home/u
Nov 28 15:47:06 cofra35 automount[14518]: expire_cleanup: got thid 3079515024
path /home/u stat 2
Nov 28 15:47:06 cofra35 automount[14518]: expire_cleanup: sigchld: exp
3079515024 finished, switching from 2 to 1
Nov 28 15:47:06 cofra35 automount[14518]: st_ready: st_ready(): state = 2 path
/home/u




Comment 23 Stephane HUGARIE 2007-11-28 10:06:52 EST
(In reply to comment #20)
> And this fails even when /home/u/shugarie is already
> mounted?
> Is that correct?
> 
> If so, after trying to change to the home directory,
> can you post the output from:
> 
> id
> getent passwd shugarie
> 
> please.
> Ian
> 

> And this fails even when /home/u/shugarie is already
> mounted?
> Is that correct?

Yes, via putty I try to log whith my account 'shugarie', the deamon autofs mount
 my personal directory at /home/u/shugarie 

-bash-3.2$ id
uid=505(shugarie) gid=506(shugarie)
groupes=503(adminsys),506(shugarie),508(rao),512(sdcsagem),584(metamorpho),644(drm),650(alstom-mms),662(gemalto-pbe),678(alstom-menj),681(www-int)
-bash-3.2$ getent passwd shugarie
shugarie:xxxxx:505:506:Stephane HUGARIE:/home/u/shugarie:/bin/bash


xxxxx : my password encrypted
Comment 24 Stephane HUGARIE 2007-11-28 10:09:14 EST
(In reply to comment #21)
> and the output from:
> 
> ypmatch shugarie passwd
> 
> Ian
> 
> 

-bash-3.2$ ypmatch shugarie passwd
shugarie:xxxxx:505:506:Stephane HUGARIE:/home/u/shugarie:/bin/bash

xxxxx : my password encrypted
Comment 25 Stephane HUGARIE 2007-11-28 10:16:27 EST
I tried this simple thing :stop the autofs deamon and  manually mounted my home
directory from the NFS server

as root I do : 

service autofs stop
cd /home
mkdir u
cd u
mkdir shugarie
mount -t nfs delphine:/exports/vol0002/homes/shugarie /home/u/shugarie

I open a new putty session and I try to log whith my personnal account
'shugarie' whith the same result : 

Last login: Wed Nov 28 15:42:56 2007 from agathe.coframi-cergy.com
Could not chdir to home directory /home/u/shugarie: Permission denied
-bash: /home/u/shugarie/.bash_profile: Permission non accordée
-bash-3.2$
-bash-3.2$

Comment 26 Ian Kent 2007-11-28 10:35:57 EST
(In reply to comment #25)
> I tried this simple thing :stop the autofs deamon and  manually mounted my home
> directory from the NFS server
> 
> as root I do : 
> 
> service autofs stop
> cd /home
> mkdir u
> cd u
> mkdir shugarie
> mount -t nfs delphine:/exports/vol0002/homes/shugarie /home/u/shugarie
> 
> I open a new putty session and I try to log whith my personnal account
> 'shugarie' whith the same result : 
> 
> Last login: Wed Nov 28 15:42:56 2007 from agathe.coframi-cergy.com
> Could not chdir to home directory /home/u/shugarie: Permission denied
> -bash: /home/u/shugarie/.bash_profile: Permission non accordée
> -bash-3.2$
> -bash-3.2$

So, at least we know it's not autofs.

It also looks like the user ids are matching up but we
probably should check on the server as well just for
completeness.

This really looks like a user id mismatch problem or
a directory permission problem somewhere along the
path (on the server).

How about changing the other permission on your home
directory to r-x instead of --- and see what happens.
Also check that you have at least --x permission all
the way down the patch to your home directory on the
server.

Ian
Comment 27 Stephane HUGARIE 2007-11-28 12:32:14 EST
On the NIS master (it's also the NFS Server) I have : 

[shugarie@delphine shugarie]$ ypmatch shugarie passwd
shugarie:xxxxx:505:506:Stephane HUGARIE:/home/u/shugarie:/bin/bash
[shugarie@delphine shugarie]$ getent passwd shugarie
shugarie:x:505:506:Stephane HUGARIE:/home/u/shugarie:/bin/bash
[shugarie@delphine shugarie]$

xxxxx : my password encrypted

I changed on the NFS server the 'other' permission from --- to r-x

when I try to log on FC7 : 
login as: shugarie
shugarie@cofra35's password:
Last login: Wed Nov 28 16:11:07 2007 from agathe.coframi-cergy.com
[shugarie@cofra35 ~]$


=> the login is succesfull but I can't write on my own directory, I try to
create an empty file with the command 'touch' 
[shugarie@cofra35 ~]$ touch toto
touch: ne peut faire un touch sur `toto': Permission non accordée

in english : Permission denied
Comment 28 Ian Kent 2007-11-29 00:33:53 EST
(In reply to comment #27)
> On the NIS master (it's also the NFS Server) I have : 
> 
> [shugarie@delphine shugarie]$ ypmatch shugarie passwd
> shugarie:xxxxx:505:506:Stephane HUGARIE:/home/u/shugarie:/bin/bash
> [shugarie@delphine shugarie]$ getent passwd shugarie
> shugarie:x:505:506:Stephane HUGARIE:/home/u/shugarie:/bin/bash
> [shugarie@delphine shugarie]$
> 
> xxxxx : my password encrypted
> 
> I changed on the NFS server the 'other' permission from --- to r-x
> 
> when I try to log on FC7 : 
> login as: shugarie
> shugarie@cofra35's password:
> Last login: Wed Nov 28 16:11:07 2007 from agathe.coframi-cergy.com
> [shugarie@cofra35 ~]$

OK, so this is clearly a permission problem.
Nothing to do with autofs and probably nothing to do with
NFS either.

> 
> 
> => the login is succesfull but I can't write on my own directory, I try to
> create an empty file with the command 'touch' 
> [shugarie@cofra35 ~]$ touch toto
> touch: ne peut faire un touch sur `toto': Permission non accordée
> 
> in english : Permission denied

This comment is worrying to me.
The fact that you don't understand what we just discovered
with this last change is a concern.

I recommend you consult with someone in your organisation
that does understand the significance of this and have
them investigate further.

Ian
Comment 29 Stephane HUGARIE 2007-11-29 04:58:31 EST
Yes, This is as I'm a member of the 'other' but not a member of my own group
shugarie (gid=506) and not me (uid=505)
Comment 30 Stephane HUGARIE 2007-11-29 06:01:21 EST
After some further search on internet, it seems that there is an incompatibility
between some version of NFS.
By forcing vers=2 option in the mount map, everything seems to go well.

[root@delphine yp]# cat /etc/auto.master
#
# $Id: auto.master,v 1.3 2003/09/29 08:22:35 raven Exp $
#
# Sample auto.master file
# This is an automounter map and it has the following format
# key [ -mount-options-separated-by-comma ] location
# For details of the format look at autofs(5).
#/misc  /etc/auto.misc --timeout=60
#/misc  /etc/auto.misc
#/net   /etc/auto.net
/home/u auto.home --debug vers=2
/projets auto.projets
/web    auto.web
/comptes_ref    auto.ref
[root@delphine yp]#


Why the new client of NFS is not compatible whith the old version of NFS server ?
Comment 31 Stephane HUGARIE 2007-11-29 06:02:24 EST
It would probably reassign this bug in another component that best describes my
problem, but which one?
Comment 32 Ian Kent 2007-11-29 06:09:40 EST
(In reply to comment #31)
> It would probably reassign this bug in another component that best describes my
> problem, but which one?

I've added Steve Dixon to the CC list.
Perhaps he can give us some insight into NFS changes
that could cause this type of weird problem.

Ian
Comment 33 Stephane HUGARIE 2007-11-29 06:16:21 EST
Thanks a lot
Comment 34 Bug Zapper 2008-05-14 11:00:19 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 35 Bug Zapper 2008-06-16 22:49:22 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.